Skip to main content
GET
Get articles by store id

Path Parameters

storeId
string
required

Specified store id for articles retrieval

Query Parameters

isWithoutBarcode
boolean

Whether we get articles with or without barcode

articleIds
string[]

The articleIds to be returned in the response

Response

OK

articleId
string

The article identifier (articleId, sku)

name
string

The name of the article

eans
string[]

The list of eans of a product

category
object

The article category

units
number<double>

The article units.

hierarchyId
string | null

The hierarchy id

storeId
string

The store identifier for the article

salePrice
number<double>

The sale price of the article

unitOfMeasure
enum<string>

The unit type

Available options:
Kg,
Piece,
Liter
taxCode
string

The tax code

pricePerUnit
number<double>

The price per unit

pricePerPiece
number<double>

The price per piec

isWeightable
boolean | null

Indicates whether the article can be weighed or not

unitsPerPiece
number<double> | null

The amount of units that a piece contains

restrictions
enum<string>[]

The list of restrictions

The restriction type applied to a product.

Available options:
Age16,
Age18,
Age20,
AlcoholOnElections
createdDate
string<date-time> | null

The created date

lastUpdateDate
string<date-time> | null

The last update date

imageUrl
string | null

Article Image URL

depositItem
object
hamperItems
object[] | null

The list of hamper items

Last modified on August 10, 2026